Contacts
Authorizations
Path parameters
workspaceIdstringRequired
ID of the workspace
Query parameters
pageintegerOptional
Page number for pagination
per_pageintegerOptional
Number of records per page
Responses
200
Success
application/json
current_pageintegerOptional
last_pageintegerOptional
per_pageintegerOptional
totalintegerOptional
404
Contacts not found
get
/api/workspaces/{workspaceId}/contactsAuthorizations
Path parameters
workspaceIdstringRequired
ID of the workspace
Body
Responses
200
Contact created successfully
application/json
idstringRequired
UUID of the contact
workspace_idstringRequired
ID of the workspace the contact belongs to
attributesobjectRequired
List of attributes with their values
400
Validation Error(s)
application/json
404
Workspace not found
application/json
post
/api/workspaces/{workspaceId}/contactsPath parameters
workspaceIdstringRequired
ID of the workspace
contactIdstringRequired
ID of the contact
Responses
200
Contact deleted successfully
application/json
successbooleanOptionalExample:
truemessagestringOptionalExample:
Contact deleted successfully404
Contact not found
application/json
delete
/api/workspaces/{workspaceId}/contacts/{contactId}Authorizations
Path parameters
workspaceIdstringRequired
ID of the workspace
contactIdstringRequired
ID of the contact
Body
Responses
200
Success
application/json
messagestringOptionalExample:
Contact updated successfully.400
Validation Error(s)
404
Contact not found
patch
/api/workspaces/{workspaceId}/contacts/{contactId}Last updated